# Use cases directory
# Create your use cases here (business logic)
# Example:
# 
# class LoginUseCase {
#   final AuthRepository repository;
# 
#   LoginUseCase({required this.repository});
# 
#   Future<Either<Failure, LoginResponseModel>> call(LoginRequest request) {
#     return repository.login(request);
#   }
# }
